-- PersistenceUtils
-- Author: Chris
-- DateCreated: 7/20/2014 10:18:52 PM
--------------------------------------------------------------

g_SaveData = Modding.OpenSaveData()
g_Properties = {}

function GetPersistentProperty(name)
    if (not g_Properties[name]) then
        g_Properties[name] = g_SaveData.GetValue(name);
    end
    return g_Properties[name];
end
 
function SetPersistentProperty(name, value)
    if (GetPersistentProperty(name) == value) then
		return;
	end
    g_SaveData.SetValue(name, value);
    g_Properties[name] = value;
end
