INSERT INTO UnitPromotions_UnitCombats (PromotionType, UnitCombatType)
SELECT UnitPromotions.Type, UnitCombatInfos.Type
FROM UnitPromotions, UnitCombatInfos WHERE UnitPromotions.Type IN (
	'PROMOTION_SPEAR',
	'PROMOTION_PIKE',
	'PROMOTION_COPPER',
	'PROMOTION_TIN',
	'PROMOTION_SWORD',
	--'PROMOTION_ARMOR',
	'PROMOTION_BRONZE',
	'PROMOTION_IRON',
	'PROMOTION_DIFFERENTIAL_TEMPERING',
	'PROMOTION_LAYERED_FORGING',
	'PROMOTION_PURIFICATION',
	'PROMOTION_METAL_CASTING',
	'PROMOTION_STEEL',
	'PROMOTION_METALLURGY',
	-- ranged combat promotions
	'PROMOTION_ARCHERY',
	'PROMOTION_LONGBOW',
	'PROMOTION_RECURVE_BOW',
	'PROMOTION_CROSSBOW',
	-- siege combat promotions
	'PROMOTION_LEVER',
	'PROMOTION_SPRING',
	'PROMOTION_PULLEY',
	'PROMOTION_MACHINERY',
	'PROMOTION_MECHANICS') and UnitCombatInfos.type IN(
	'UNITCOMBAT_MELEE',
	'UNITCOMBAT_MOUNTED');

INSERT INTO UnitPromotions_UnitCombats (PromotionType, UnitCombatType)
SELECT UnitPromotions.Type, UnitCombatInfos.Type
FROM UnitPromotions, UnitCombatInfos WHERE UnitPromotions.Type IN (
	'LEATHER_ARMOR',
	'SCALE_ARMOR',
	'MAIL_ARMOR') and UnitCombatInfos.type IN(
	'UNITCOMBAT_MELEE');

INSERT INTO UnitPromotions_UnitCombats (PromotionType, UnitCombatType)
SELECT UnitPromotions.Type, UnitCombatInfos.Type
FROM UnitPromotions, UnitCombatInfos WHERE UnitPromotions.Type IN (
	'LEATHER_BARDING',
	'SCALE_BARDING',
	'MAIL_BARDING') and UnitCombatInfos.type IN(
	'UNITCOMBAT_MOUNTED');

INSERT INTO UnitPromotions_UnitCombats (PromotionType, UnitCombatType)
SELECT UnitPromotions.Type, UnitCombatInfos.Type
FROM UnitPromotions, UnitCombatInfos WHERE UnitPromotions.Type IN (
	'PROMOTION_HERBAL_MEDICINE',
	'PROMOTION_BIOLOGY',
	'PROMOTION_PENICILIN',
	'PROMOTION_MEDICINE',
	'PROMOTION_NANOMEDICINE') and UnitCombatInfos.type IN(
	'UNITCOMBAT_MELEE',
	'UNITCOMBAT_MOUNTED',
	--'UNITCOMBAT_ARCHER',
	'UNITCOMBAT_GUN',
	'UNITCOMBAT_MOUNTEDGUN');
	--'UNITCOMBAT_MOUNTEDRANGED',
	--'UNITCOMBAT_GUNRANGED');

INSERT INTO UnitPromotions_UnitCombats (PromotionType, UnitCombatType)
SELECT UnitPromotions.Type, UnitCombatInfos.Type
FROM UnitPromotions, UnitCombatInfos WHERE UnitPromotions.Type IN (
	'PROMOTION_BREACH_LOADING') and UnitCombatInfos.type IN(
	'UNITCOMBAT_GUN');

INSERT INTO UnitPromotions_UnitCombats (PromotionType, UnitCombatType)
SELECT UnitPromotions.Type, UnitCombatInfos.Type
FROM UnitPromotions, UnitCombatInfos WHERE UnitPromotions.Type IN (
	'PROMOTION_RIFLING',
	'PROMOTION_AUTOMATIC_RIFLE',
	'PROMOTION_KEVLAR',
	'PROMOTION_NANOMATERIALS',
	'PROMOTION_LASER_GUN',
	'PROMOTION_CYBERNETIC_IMPLANTS',
	'PROMOTION_HEAD_MOUNTED_DISPLAY',
	-- from cannon
	'PROMOTION_CANNON',
	'PROMOTION_BREACH_LOADING_CANNON',
	'PROMOTION_GATLING_GUN',
	'PROMOTION_ARTILLERY',
	'PROMOTION_BALLISTICS'
	) and UnitCombatInfos.type IN(
	'UNITCOMBAT_GUN',
	'UNITCOMBAT_MOUNTEDGUN');
--	'UNITCOMBAT_GUNRANGED');

INSERT INTO UnitPromotions_UnitCombats (PromotionType, UnitCombatType)
SELECT UnitPromotions.Type, UnitCombatInfos.Type
FROM UnitPromotions, UnitCombatInfos WHERE UnitPromotions.Type IN (
	'PROMOTION_RADAR',
	'PROMOTION_NANOMATERIALS') and UnitCombatInfos.type IN(
	'UNITCOMBAT_AA');

INSERT INTO UnitPromotions_UnitCombats (PromotionType, UnitCombatType)
SELECT UnitPromotions.Type, UnitCombatInfos.Type
FROM UnitPromotions, UnitCombatInfos WHERE UnitPromotions.Type IN (
	'PROMOTION_DEPLETED_URANIUM_ARMOR',
	'PROMOTION_DEPLETED_URANIUM_AMMUNITION',
	'PROMOTION_NANOMATERIALS',
	'PROMOTION_LASER_GUN',
	-- from rockey artillery,
	'PROMOTION_ROCKETRY',
	'PROMOTION_ADVANCED_BALLISTICS') and UnitCombatInfos.type IN(
	'UNITCOMBAT_ARMOR');

INSERT INTO UnitPromotions_UnitCombats (PromotionType, UnitCombatType)
SELECT UnitPromotions.Type, UnitCombatInfos.Type
FROM UnitPromotions, UnitCombatInfos WHERE UnitPromotions.Type IN (
	'PROMOTION_DEPLETED_URANIUM_AMMUNITION',
	'PROMOTION_NANOMATERIALS',
	'PROMOTION_LASER_GUN') and UnitCombatInfos.type IN(
	'UNITCOMBAT_FIGHTER',
	'UNITCOMBAT_HELICOPTER');

INSERT INTO UnitPromotions_UnitCombats (PromotionType, UnitCombatType)
SELECT UnitPromotions.Type, UnitCombatInfos.Type
FROM UnitPromotions, UnitCombatInfos WHERE UnitPromotions.Type IN (
	'PROMOTION_NANOROBOTS',
	'PROMOTION_ELECTRONIC_ASSIST') and UnitCombatInfos.type IN(
	'UNITCOMBAT_FIGHTER',
	'UNITCOMBAT_BOMBER',
	'UNITCOMBAT_HELICOPTER',
	'UNITCOMBAT_ARMOR',
--	'UNITCOMBAT_ROCKETARTILLERY',
	'UNITCOMBAT_NAVALMELEE',
	'UNITCOMBAT_NAVALRANGED',
	'UNITCOMBAT_AA');
	
-- These were UNITCOMBAT_GUN
-- left out a few: PROMOTION_WOODSMAN,PROMOTION_BLITZ,PROMOTION_AMBUSH_1,
--     PROMOTION_AMPHIBIOUS,PROMOTION_SIEGE
INSERT INTO UnitPromotions_UnitCombats (PromotionType, UnitCombatType)
SELECT UnitPromotions.Type, UnitCombatInfos.Type
FROM UnitPromotions, UnitCombatInfos WHERE UnitPromotions.Type IN (
	'PROMOTION_FASTER_HEAL',
	'PROMOTION_NATIONALISM',
	'PROMOTION_HIMEJI_CASTLE',
	'PROMOTION_ADJACENT_BONUS',
	'PROMOTION_MORALE',
	'PROMOTION_MARCH',
	'PROMOTION_FORMATION_1',
	'PROMOTION_COVER_2',
	'PROMOTION_COVER_1',
	'PROMOTION_MEDIC_II',
	'PROMOTION_MEDIC',
	'PROMOTION_DRILL_3',
	'PROMOTION_DRILL_2',
	'PROMOTION_DRILL_1',
	'PROMOTION_SHOCK_3',
	'PROMOTION_SHOCK_2',
	'PROMOTION_SHOCK_1',
	'PROMOTION_INSTA_HEAL',
	'PROMOTION_ALLWATER_EMBARKATION',
	'PROMOTION_DEFENSIVE_EMBARKATION',
	'PROMOTION_EMBARKATION',
	'PROMOTION_STATUE_ZEUS',
	'PROMOTION_HOMELAND_GUARDIAN_BOOGALOO',
	'PROMOTION_ALTITUDE_TRAINING') and UnitCombatInfos.type IN(
	'UNITCOMBAT_AA');

INSERT INTO UnitPromotions_UnitCombats (PromotionType, UnitCombatType)
SELECT UnitPromotions.Type, UnitCombatInfos.Type
FROM UnitPromotions, UnitCombatInfos WHERE UnitPromotions.Type IN (
	'PROMOTION_INTERCEPTION_1',
	'PROMOTION_INTERCEPTION_2',
	'PROMOTION_INTERCEPTION_3') and UnitCombatInfos.type IN(
	'UNITCOMBAT_AA');

INSERT INTO Trait_FreePromotionUnitCombats (TraitType, UnitCombatType, PromotionType)
SELECT 'TRAIT_CITY_STATE_FRIENDSHIP', UnitCombatInfos.Type, 'PROMOTION_COVER_1'
FROM UnitCombatInfos WHERE UnitCombatInfos.type IN(
	'UNITCOMBAT_ARCHER',
	'UNITCOMBAT_CANNON',
	'UNITCOMBAT_CARRIER',
	'UNITCOMBAT_GUN',
	'UNITCOMBAT_GUNRANGED',
	'UNITCOMBAT_MELEE',
	'UNITCOMBAT_MOUNTED',
	'UNITCOMBAT_MOUNTEDRANGED',
	'UNITCOMBAT_RECON',
	'UNITCOMBAT_ROCKETARTILLERY',
	'UNITCOMBAT_SIEGE',
	'UNITCOMBAT_SUBMARINE',
	'UNITCOMBAT_FIGHTER',
	'UNITCOMBAT_BOMBER',
	'UNITCOMBAT_HELICOPTER',
	'UNITCOMBAT_ARMOR',
	'UNITCOMBAT_NAVALMELEE',
	'UNITCOMBAT_NAVALRANGED',
	'UNITCOMBAT_AA');

INSERT INTO Trait_FreePromotionUnitCombats (TraitType, UnitCombatType, PromotionType)
SELECT 'TRAIT_CITY_STATE_FRIENDSHIP', UnitCombatInfos.Type, 'PROMOTION_DRILL_1'
FROM UnitCombatInfos WHERE UnitCombatInfos.type IN(
	'UNITCOMBAT_ARCHER',
	'UNITCOMBAT_CANNON',
	'UNITCOMBAT_CARRIER',
	'UNITCOMBAT_GUN',
	'UNITCOMBAT_GUNRANGED',
	'UNITCOMBAT_MELEE',
	'UNITCOMBAT_MOUNTED',
	'UNITCOMBAT_MOUNTEDRANGED',
	'UNITCOMBAT_RECON',
	'UNITCOMBAT_ROCKETARTILLERY',
	'UNITCOMBAT_SIEGE',
	'UNITCOMBAT_SUBMARINE',
	'UNITCOMBAT_FIGHTER',
	'UNITCOMBAT_BOMBER',
	'UNITCOMBAT_HELICOPTER',
	'UNITCOMBAT_ARMOR',
	'UNITCOMBAT_NAVALMELEE',
	'UNITCOMBAT_NAVALRANGED',
	'UNITCOMBAT_AA');

INSERT INTO Trait_FreePromotionUnitCombats (TraitType, UnitCombatType, PromotionType)
SELECT 'TRAIT_GREAT_EXPANSE', UnitCombatInfos.Type, 'PROMOTION_HOMELAND_GUARDIAN_BOOGALOO'
FROM UnitCombatInfos WHERE UnitCombatInfos.type IN(
	'UNITCOMBAT_ARCHER',
	'UNITCOMBAT_CANNON',
	'UNITCOMBAT_CARRIER',
	'UNITCOMBAT_GUN',
	'UNITCOMBAT_GUNRANGED',
	'UNITCOMBAT_MELEE',
	'UNITCOMBAT_MOUNTED',
	'UNITCOMBAT_MOUNTEDRANGED',
	'UNITCOMBAT_RECON',
	'UNITCOMBAT_ROCKETARTILLERY',
	'UNITCOMBAT_SIEGE',
	'UNITCOMBAT_SUBMARINE',
	'UNITCOMBAT_FIGHTER',
	'UNITCOMBAT_BOMBER',
	'UNITCOMBAT_HELICOPTER',
	'UNITCOMBAT_ARMOR',
	'UNITCOMBAT_NAVALMELEE',
	'UNITCOMBAT_NAVALRANGED',
	'UNITCOMBAT_AA');


--INSERT INTO UnitPromotions_UnitCombats (PromotionType, UnitCombatType)
--SELECT UnitPromotions.Type, UnitCombatInfos.Type
--FROM UnitPromotions, UnitCombatInfos WHERE UnitPromotions.Type IN (
--  'PROMOTION_LEVER',
--	'PROMOTION_SPRING',
--	'PROMOTION_PULLEY',
--	'PROMOTION_MACHINERY',
--	'PROMOTION_MECHANICS') and UnitCombatInfos.type IN(
--	'UNITCOMBAT_SIEGE');

--INSERT INTO UnitPromotions_UnitCombats (PromotionType, UnitCombatType)
--SELECT UnitPromotions.Type, UnitCombatInfos.Type
--FROM UnitPromotions, UnitCombatInfos WHERE UnitPromotions.Type IN (
--	'PROMOTION_BREACH_LOADING_CANNON',
--	'PROMOTION_ARTILLERY',
--	'PROMOTION_BALLISTICS') and UnitCombatInfos.type IN(
--	'UNITCOMBAT_CANNON');

--INSERT INTO UnitPromotions_UnitCombats (PromotionType, UnitCombatType)
--SELECT UnitPromotions.Type, UnitCombatInfos.Type
--FROM UnitPromotions, UnitCombatInfos WHERE UnitPromotions.Type IN (
--	'PROMOTION_ADVANCED_BALLISTICS',
--	'PROMOTION_NANOMATERIALS') and UnitCombatInfos.type IN(
--	'UNITCOMBAT_ROCKETARTILLERY');

-- These were in siege
--INSERT INTO UnitPromotions_UnitCombats (PromotionType, UnitCombatType)
--SELECT UnitPromotions.Type, UnitCombatInfos.Type
--FROM UnitPromotions, UnitCombatInfos WHERE UnitPromotions.Type IN (
--	'PROMOTION_FASTER_HEAL',
--	'PROMOTION_NATIONALISM',
--	'PROMOTION_HIMEJI_CASTLE',
--	'PROMOTION_MORALE',
--	'PROMOTION_RANGE',
--	'PROMOTION_LOGISTICS',
--	'PROMOTION_MARCH',
--	'PROMOTION_COVER_2',
--	'PROMOTION_COVER_1',
--	'PROMOTION_VOLLEY',
--	'PROMOTION_BARRAGE_3',
--	'PROMOTION_BARRAGE_2',
--	'PROMOTION_BARRAGE_1',
--	'PROMOTION_ACCURACY_3',
--	'PROMOTION_ACCURACY_2',
--	'PROMOTION_ACCURACY_1',
--	'PROMOTION_INSTA_HEAL',
--	'PROMOTION_ALLWATER_EMBARKATION',
--	'PROMOTION_DEFENSIVE_EMBARKATION',
--	'PROMOTION_EMBARKATION',
--	'PROMOTION_STATUE_ZEUS',
--	'PROMOTION_HOMELAND_GUARDIAN_BOOGALOO',
--	'PROMOTION_ALTITUDE_TRAINING') and UnitCombatInfos.type IN(
--	'UNITCOMBAT_ROCKETARTILLERY',
--	'UNITCOMBAT_CANNON');

--INSERT INTO UnitPromotions_UnitCombats (PromotionType, UnitCombatType)
--SELECT UnitPromotions.Type, UnitCombatInfos.Type
--FROM UnitPromotions, UnitCombatInfos WHERE UnitPromotions.Type IN (
-- this section from gun (minus some that don't fit)
--	'PROMOTION_FASTER_HEAL',
--	'PROMOTION_NATIONALISM',
--	'PROMOTION_HIMEJI_CASTLE',
--	'PROMOTION_ADJACENT_BONUS',
--	'PROMOTION_MORALE',
--	'PROMOTION_MARCH',
--	'PROMOTION_FORMATION_1',
--	'PROMOTION_COVER_2',
--	'PROMOTION_COVER_1',
--	'PROMOTION_MEDIC_II',
--	'PROMOTION_MEDIC',
--	'PROMOTION_DRILL_3',
--	'PROMOTION_DRILL_2',
--	'PROMOTION_DRILL_1',
--	'PROMOTION_SHOCK_3',
--	'PROMOTION_SHOCK_2',
--	'PROMOTION_SHOCK_1',
--	'PROMOTION_INSTA_HEAL',
--	'PROMOTION_ALLWATER_EMBARKATION',
--	'PROMOTION_DEFENSIVE_EMBARKATION',
--	'PROMOTION_EMBARKATION',
--	'PROMOTION_STATUE_ZEUS',
--	'PROMOTION_HOMELAND_GUARDIAN_BOOGALOO',
--	'PROMOTION_ALTITUDE_TRAINING',
--	'PROMOTION_AMBUSH_1',
-- these are additional mounted
--	'PROMOTION_SENTRY',
--	'PROMOTION_CHARGE',
--	'PROMOTION_BLITZ',
--	'PROMOTION_MOBILITY') and UnitCombatInfos.type IN(
--	'UNITCOMBAT_MOUNTEDGUN');


-- these are from unitcombat_archer
--INSERT INTO UnitPromotions_UnitCombats (PromotionType, UnitCombatType)
--SELECT UnitPromotions.Type, UnitCombatInfos.Type
--FROM UnitPromotions, UnitCombatInfos WHERE UnitPromotions.Type IN (
--	'PROMOTION_FASTER_HEAL',
--	'PROMOTION_NATIONALISM',
--	'PROMOTION_HIMEJI_CASTLE',
--	'PROMOTION_MORALE',
--	'PROMOTION_RANGE',
--	'PROMOTION_LOGISTICS',
--	'PROMOTION_MARCH',
--	'PROMOTION_COVER_2',
--	'PROMOTION_COVER_1',
--	'PROMOTION_BARRAGE_3',
--	'PROMOTION_BARRAGE_2',
--	'PROMOTION_BARRAGE_1',
--	'PROMOTION_ACCURACY_3',
--	'PROMOTION_ACCURACY_2',
--	'PROMOTION_ACCURACY_1',
--	'PROMOTION_INSTA_HEAL',
--	'PROMOTION_ALLWATER_EMBARKATION',
--	'PROMOTION_DEFENSIVE_EMBARKATION',
--	'PROMOTION_EMBARKATION',
--	'PROMOTION_STATUE_ZEUS',
--	'PROMOTION_HOMELAND_GUARDIAN_BOOGALOO',
--	'PROMOTION_ALTITUDE_TRAINING') and UnitCombatInfos.type IN(
--	'UNITCOMBAT_MOUNTEDRANGED',
--	'UNITCOMBAT_GUNRANGED');

--INSERT INTO UnitPromotions_UnitCombats (PromotionType, UnitCombatType)
--SELECT UnitPromotions.Type, UnitCombatInfos.Type
--FROM UnitPromotions, UnitCombatInfos WHERE UnitPromotions.Type IN (
--	'PROMOTION_SENTRY',
--	'PROMOTION_CHARGE',
--	'PROMOTION_BLITZ',
--	'PROMOTION_MOBILITY') and UnitCombatInfos.type IN(
--	'UNITCOMBAT_MOUNTEDRANGED');

--INSERT INTO UnitPromotions_UnitCombats (PromotionType, UnitCombatType)
--SELECT UnitPromotions.Type, UnitCombatInfos.Type
--FROM UnitPromotions, UnitCombatInfos WHERE UnitPromotions.Type IN (
--	'PROMOTION_AMBUSH_1',
--	'PROMOTION_ADJACENT_BONUS',
--	'PROMOTION_WOODSMAN') and UnitCombatInfos.type IN(
--	'UNITCOMBAT_GUNRANGED');

--INSERT INTO UnitPromotions_UnitCombats (PromotionType, UnitCombatType)
--SELECT UnitPromotions.Type, UnitCombatInfos.Type
--FROM UnitPromotions, UnitCombatInfos WHERE UnitPromotions.Type IN (
--	'PROMOTION_LONGBOW',
--	'PROMOTION_RECURVE_BOW',
--	'PROMOTION_CROSSBOW') and UnitCombatInfos.type IN(
--	'UNITCOMBAT_ARCHER',
--	'UNITCOMBAT_MOUNTEDRANGED');