INSERT INTO Units
(Type,									PreReqTech,						Combat, RangedCombat,	Range,	Cost,		Moves,	CombatClass,				Domain,			DefaultUnitAI,			ObsoleteTech,					GoodyHutUpgradeUnitClass,				UnitArtInfo,										UnitFlagAtlas,					UnitFlagIconOffset,	IconAtlas,					PortraitIndex,	MoveRate) VALUES
('UNIT_ATTACK_WARRIORS',				NULL,							10,		2,				1,		40,			2,		'UNITCOMBAT_MELEE',			'DOMAIN_LAND',	'UNITAI_ATTACK',		'TECH_MUSKETS',					'UNITCLASS_ARMORED_ATTACK_WARRIORS',	'ART_DEF_UNIT__WARRIOR',							'UNIT_FLAG_ATLAS',				3,					'UNIT_ATLAS_1',				3,				'BIPED'),
('UNIT_DEFENSE_WARRIORS',				NULL,							7,		7,				1,		40,			2,		'UNITCOMBAT_MELEE',			'DOMAIN_LAND',	'UNITAI_DEFENSE',		'TECH_MUSKETS',					'UNITCLASS_ARMORED_DEFENSE_WARRIORS',	'ART_DEF_UNIT_ARCHER',								'UNIT_FLAG_ATLAS',				6,					'UNIT_ATLAS_1',				6,				'BIPED'),
('UNIT_CHARIOT',						'TECH_CHARIOT',					6,		8,				1,		56,			4,		'UNITCOMBAT_MOUNTED',		'DOMAIN_LAND',	'UNITAI_RANGED',		'TECH_BREACH_LOADING_RIFLE',	'UNITCLASS_HORSEMAN',					'ART_DEF_UNIT_CHARIOT_ARCHER',						'UNIT_FLAG_ATLAS',				12,					'UNIT_ATLAS_1',				12,				'WHEELED'),
('UNIT_HORSEMAN',						'TECH_HORSEBACK_RIDING',		12,		6,				1,		75,			4,		'UNITCOMBAT_MOUNTED',		'DOMAIN_LAND',	'UNITAI_FAST_ATTACK',	'TECH_BREACH_LOADING_RIFLE',	'UNITCLASS_KNIGHT',						'ART_DEF_UNIT_HORSEMAN',							'UNIT_FLAG_ATLAS',				17,					'UNIT_ATLAS_1',				17,				'QUADRUPED'),
('UNIT_ELEPHANT',						'TECH_HORSEBACK_RIDING',		15,		6,				1,		100,		3,		'UNITCOMBAT_MOUNTED',		'DOMAIN_LAND',	'UNITAI_FAST_ATTACK',	'TECH_BREACH_LOADING_RIFLE',	'UNITCLASS_ARMORED_ELEPHANT',			'ART_DEF_UNIT_U_CARTHAGE_AFRICANFOREST_ELEPHANT',	'EXPANSION_UNIT_FLAG_ATLAS',	0,					'EXPANSION_UNIT_ATLAS_1',	0,				'PHANT'),
('UNIT_ARMORED_ATTACK_WARRIORS',		'TECH_PLATE_ARMOR',				15,		8,				1,		75,			2,		'UNITCOMBAT_MELEE',			'DOMAIN_LAND',	'UNITAI_ATTACK',		'TECH_MUSKETS',					'UNITCLASS_ATTACK_GUN_INFANTRY',		'ART_DEF_UNIT_SWORDSMAN',							'UNIT_FLAG_ATLAS',				14,					'UNIT_ATLAS_1',				14,				'HEAVY_BIPED'),
('UNIT_ARMORED_DEFENSE_WARRIORS',		'TECH_PLATE_ARMOR',				10,		12,				1,		75,			2,		'UNITCOMBAT_MELEE',			'DOMAIN_LAND',	'UNITAI_DEFENSE',		'TECH_MUSKETS',					'UNITCLASS_DEFENSE_GUN_INFANTRY',		'ART_DEF_UNIT_CROSSBOWMAN',							'UNIT_FLAG_ATLAS',				29,					'UNIT_ATLAS_1',				30,				'HEAVY_BIPED'),
('UNIT_KNIGHT',							'TECH_PLATE_BARDING',			20,		8,				1,		120,		4,		'UNITCOMBAT_MOUNTED',		'DOMAIN_LAND',	'UNITAI_FAST_ATTACK',	'TECH_BREACH_LOADING_RIFLE',	'UNITCLASS_CAVALRY',					'ART_DEF_UNIT_KNIGHT',								'UNIT_FLAG_ATLAS',				25,					'UNIT_ATLAS_1',				26,				'QUADRUPED'),
('UNIT_ARMORED_ELEPHANT',				'TECH_PLATE_BARDING',			25,		8,				1,		120,		3,		'UNITCOMBAT_MOUNTED',		'DOMAIN_LAND',	'UNITAI_FAST_ATTACK',	'TECH_BREACH_LOADING_RIFLE',	'UNITCLASS_CAVALRY',					'ART_DEF_UNIT_U_SIAMESE_WARELEPHANT',				'UNIT_FLAG_ATLAS',				28,					'UNIT_ATLAS_1',				29,				'PHANT'),
('UNIT_ATTACK_GUN_INFANTRY',			'TECH_MUSKETS',					30,		20,				1,		150,		2,		'UNITCOMBAT_GUN',			'DOMAIN_LAND',	'UNITAI_ATTACK',		NULL,							'UNITCLASS_HELICOPTER_INFANTRY',		'ART_DEF_UNIT_WW2_INFANTRY',						'UNIT_FLAG_ATLAS',				54,					'UNIT_ATLAS_2',				11,				'BIPED'),
('UNIT_DEFENSE_GUN_INFANTRY',			'TECH_MUSKETS',					25,		35,				1,		150,		2,		'UNITCOMBAT_GUN',			'DOMAIN_LAND',	'UNITAI_DEFENSE',		NULL,							'UNITCLASS_MECHANIZED_INFANTRY',		'ART_DEF_UNIT_GATLINGGUN',							'EXPANSION_UNIT_FLAG_ATLAS',	26,					'EXPANSION_UNIT_ATLAS_1',	27,				'BIPED'),
('UNIT_CAVALRY',						'TECH_BREACH_LOADING_RIFLE',	45,		15,				1,		200,		4,		'UNITCOMBAT_MOUNTEDGUN',	'DOMAIN_LAND',	'UNITAI_FAST_ATTACK',	'TECH_COMPOSITE_ARMOR',			'UNITCLASS_TANK',						'ART_DEF_UNIT_CAVALRY',								'UNIT_FLAG_ATLAS',				48,					'UNIT_ATLAS_2',				5,				'QUADRUPED'),
('UNIT_PARATROOPER',					'TECH_FLIGHT',					45,		20,				1,		275,		2,		'UNITCOMBAT_GUN',			'DOMAIN_LAND',	'UNITAI_PARADROP',		NULL,							'UNITCLASS_HELICOPTER_INFANTRY',		'ART_DEF_UNIT_PARATROOPER',							'UNIT_FLAG_ATLAS',				59,					'UNIT_ATLAS_2',				14,				'BIPED'),
('UNIT_TANK',							'TECH_TANKS',					65,		50,				2,		350,		5,		'UNITCOMBAT_ARMOR',			'DOMAIN_LAND',	'UNITAI_FAST_ATTACK',	'TECH_FORCE_FIELD',				'UNITCLASS_MODERN_ARMOR',				'ART_DEF_UNIT_TANK',								'UNIT_FLAG_ATLAS',				57,					'UNIT_ATLAS_2',				13,				'WHEELED'),
('UNIT_HELICOPTER_INFANTRY',			'TECH_HELICOPTERS',				60,		25,				1,		300,		8,		'UNITCOMBAT_HELICOPTER',	'DOMAIN_LAND',	'UNITAI_FAST_ATTACK',	NULL,							'UNITCLASS_XCOM_SQUAD',					'ART_DEF_UNIT_HELICOPTER_GUNSHIP',					'UNIT_FLAG_ATLAS',				75,					'UNIT_ATLAS_2',				28,				'WHEELED'),
('UNIT_HELICOPTER_GUNSHIP',				'TECH_HELICOPTERS',				50,		80,				2,		350,		8,		'UNITCOMBAT_HELICOPTER',	'DOMAIN_LAND',	'UNITAI_FAST_ATTACK',	NULL,							NULL,									'ART_DEF_UNIT_HELICOPTER_GUNSHIP',					'UNIT_FLAG_ATLAS',				75,					'UNIT_ATLAS_2',				28,				'WHEELED'),
('UNIT_MODERN_ARMOR',					'TECH_COMPOSITE_ARMOR',			90,		70,				2,		400,		5,		'UNITCOMBAT_ARMOR',			'DOMAIN_LAND',	'UNITAI_FAST_ATTACK',	NULL,							'UNITCLASS_MECH',						'ART_DEF_UNIT_MODERN_ARMOR',						'UNIT_FLAG_ATLAS',				74,					'UNIT_ATLAS_2',				27,				'WHEELED'),
('UNIT_MECHANIZED_INFANTRY',			'TECH_COMPOSITE_ARMOR',			50,		50,				1,		275,		4,		'UNITCOMBAT_GUN',			'DOMAIN_LAND',	'UNITAI_DEFENSE',		NULL,							NULL,									'ART_DEF_UNIT_MECHANIZED_INFANTRY',					'UNIT_FLAG_ATLAS',				73,					'UNIT_ATLAS_2',				26,				'WHEELED'),
-- update pre-reqs to a battery tech (and previous units obsolete tech)?
('UNIT_XCOM_SQUAD',						'TECH_LASER_GUN',				70,		50,				1,		400,		10,		'UNITCOMBAT_HELICOPTER',	'DOMAIN_LAND',	'UNITAI_FAST_ATTACK',	NULL,							NULL,									'ART_DEF_UNIT_XCOM_SQUAD',							'EXPANSION2_UNIT_FLAG_ATLAS',	15,					'EXPANSION2_UNIT_ATLAS',	15,				'QUADRUPED'),
('UNIT_MECH',							'TECH_FORCE_FIELD',				125,	100,			2,		500,		5,		'UNITCOMBAT_ARMOR',			'DOMAIN_LAND',	'UNITAI_FAST_ATTACK',	NULL,							NULL,									'ART_DEF_UNIT_MECH',								'UNIT_FLAG_ATLAS',				83,					'UNIT_ATLAS_2',				36,				'ROBOT');
-- figure out if laser infantry should be a thing, or if upgrading the existing infantry is good
--('UNIT_ATTACK_LASER_INFANTRY',		'TECH_LASER_GUN',				80,		60,				1,		400,		2,		'UNITCOMBAT_GUN',			'DOMAIN_LAND',	'UNITAI_ATTACK',		NULL,							NULL,									'ART_DEF_UNIT_XCOM_SQUAD',		'EXPANSION2_UNIT_FLAG_ATLAS',	15,					'EXPANSION2_UNIT_ATLAS',	15,				'QUADRUPED'),
--('UNIT_DEFENSE_LASER_INFANTRY',		'TECH_LASER_GUN',				70,		70,				1,		400,		2,		'UNITCOMBAT_GUN',			'DOMAIN_LAND',	'UNITAI_DEFENSE',		NULL,							NULL,									'ART_DEF_UNIT_XCOM_SQUAD',		'EXPANSION2_UNIT_FLAG_ATLAS',	15,					'EXPANSION2_UNIT_ATLAS',	15,				'QUADRUPED');

UPDATE Units SET RequiresFaithPurchaseEnabled = 'true';
-- exclude special units from the below
UPDATE Units SET MilitarySupport = 'true';
UPDATE Units SET MilitaryProduction = 'true';
UPDATE Units SET Pillage = 'true';
UPDATE Units SET XPValueAttack = 3;
UPDATE Units SET XPValueDefense = 3;

UPDATE Units SET IgnoreBuildingDefense = 'true' WHERE CombatClass = 'UNITCOMBAT_GUN';
UPDATE Units SET IgnoreBuildingDefense = 'true' WHERE CombatClass = 'UNITCOMBAT_HELICOPTER';
UPDATE Units SET IgnoreBuildingDefense = 'true' WHERE CombatClass = 'UNITCOMBAT_ARMOR';
UPDATE Units SET Mechanized = 'true' WHERE CombatClass = 'UNITCOMBAT_ARMOR';

UPDATE Units SET FaithCost = Cost * 2;
UPDATE Units SET AdvancedStartCost = Cost / 4;
UPDATE Units SET Class = REPLACE(Type, 'UNIT_', 'UNITCLASS_');
UPDATE Units SET Description = REPLACE(Type, 'UNIT_', 'TXT_KEY_UNIT_');
UPDATE Units SET Help = REPLACE(Type, 'UNIT_', 'TXT_KEY_UNIT_HELP_');
UPDATE Units SET Civilopedia = REPLACE(Type, 'UNIT_', 'TXT_KEY_CIVILOPEDIA_UNITS_') || '_TEXT';
UPDATE Units SET Strategy = REPLACE(Type, 'UNIT_', 'TXT_KEY_UNIT_') || '_STRATEGY';