UPDATE Traits SET FreeBuilding = 'BUILDING_UNIQUE_MUSEUM';
UPDATE Civilization_FreeTechs SET TechType = 'TECH_LANGUAGE' WHERE TechType = 'TECH_AGRICULTURE';

INSERT INTO Civilization_FreeBuildingClasses (CivilizationType, BuildingClassType)
SELECT CIVILIZATIONS.Type, 'BUILDINGCLASS_MUSEUM'
FROM CIVILIZATIONS WHERE CIVILIZATIONS.Type IN (
	'CIVILIZATION_AMERICA',
	'CIVILIZATION_ARABIA',
	'CIVILIZATION_AZTEC',
	'CIVILIZATION_CHINA',
	'CIVILIZATION_EGYPT',
	'CIVILIZATION_ENGLAND',
	'CIVILIZATION_FRANCE',
	'CIVILIZATION_GERMANY',
	'CIVILIZATION_GREECE',
	'CIVILIZATION_INDIA',
	'CIVILIZATION_IROQUOIS',
	'CIVILIZATION_JAPAN',
	'CIVILIZATION_OTTOMAN',
	'CIVILIZATION_PERSIA',
	'CIVILIZATION_ROME',
	'CIVILIZATION_RUSSIA',
	'CIVILIZATION_SIAM',
	'CIVILIZATION_SONGHAI',
	'CIVILIZATION_MONGOL',
	'CIVILIZATION_INCA',
	'CIVILIZATION_SPAIN',
	'CIVILIZATION_POLYNESIA',
	'CIVILIZATION_DENMARK',
	'CIVILIZATION_KOREA',
	'CIVILIZATION_BABYLON',
	'CIVILIZATION_AUSTRIA',
	'CIVILIZATION_BYZANTIUM',
	'CIVILIZATION_CARTHAGE',
	'CIVILIZATION_CELTS',
	'CIVILIZATION_ETHIOPIA',
	'CIVILIZATION_HUNS',
	'CIVILIZATION_MAYA',
	'CIVILIZATION_NETHERLANDS',
	'CIVILIZATION_SWEDEN',
	'CIVILIZATION_ASSYRIA',
	'CIVILIZATION_BRAZIL',
	'CIVILIZATION_INDONESIA',
	'CIVILIZATION_MOROCCO',
	'CIVILIZATION_POLAND',
	'CIVILIZATION_PORTUGAL',
	'CIVILIZATION_SHOSHONE',
	'CIVILIZATION_VENICE',
	'CIVILIZATION_ZULU');

INSERT INTO Civilization_BuildingClassOverrides (CivilizationType, BuildingClassType, BuildingType)
SELECT CIVILIZATIONS.Type, 'BUILDINGCLASS_MUSEUM', 'BUILDING_UNIQUE_MUSEUM'
FROM CIVILIZATIONS WHERE CIVILIZATIONS.Type IN (
	'CIVILIZATION_AMERICA',
	'CIVILIZATION_ARABIA',
	'CIVILIZATION_AZTEC',
	'CIVILIZATION_CHINA',
	'CIVILIZATION_EGYPT',
	'CIVILIZATION_ENGLAND',
	'CIVILIZATION_FRANCE',
	'CIVILIZATION_GERMANY',
	'CIVILIZATION_GREECE',
	'CIVILIZATION_INDIA',
	'CIVILIZATION_IROQUOIS',
	'CIVILIZATION_JAPAN',
	'CIVILIZATION_OTTOMAN',
	'CIVILIZATION_PERSIA',
	'CIVILIZATION_ROME',
	'CIVILIZATION_RUSSIA',
	'CIVILIZATION_SIAM',
	'CIVILIZATION_SONGHAI',
	'CIVILIZATION_MONGOL',
	'CIVILIZATION_INCA',
	'CIVILIZATION_SPAIN',
	'CIVILIZATION_POLYNESIA',
	'CIVILIZATION_DENMARK',
	'CIVILIZATION_KOREA',
	'CIVILIZATION_BABYLON',
	'CIVILIZATION_AUSTRIA',
	'CIVILIZATION_BYZANTIUM',
	'CIVILIZATION_CARTHAGE',
	'CIVILIZATION_CELTS',
	'CIVILIZATION_ETHIOPIA',
	'CIVILIZATION_HUNS',
	'CIVILIZATION_MAYA',
	'CIVILIZATION_NETHERLANDS',
	'CIVILIZATION_SWEDEN',
	'CIVILIZATION_ASSYRIA',
	'CIVILIZATION_BRAZIL',
	'CIVILIZATION_INDONESIA',
	'CIVILIZATION_MOROCCO',
	'CIVILIZATION_POLAND',
	'CIVILIZATION_PORTUGAL',
	'CIVILIZATION_SHOSHONE',
	'CIVILIZATION_VENICE',
	'CIVILIZATION_ZULU');

INSERT INTO Civilization_BuildingClassOverrides (CivilizationType, BuildingClassType, BuildingType)
SELECT CIVILIZATIONS.Type, 'BUILDINGCLASS_PALACE', 'BUILDING_UNIQUE_PALACE'
FROM CIVILIZATIONS WHERE CIVILIZATIONS.Type IN (
	'CIVILIZATION_AMERICA',
	'CIVILIZATION_ARABIA',
	'CIVILIZATION_AZTEC',
	'CIVILIZATION_CHINA',
	'CIVILIZATION_EGYPT',
	'CIVILIZATION_ENGLAND',
	'CIVILIZATION_FRANCE',
	'CIVILIZATION_GERMANY',
	'CIVILIZATION_GREECE',
	'CIVILIZATION_INDIA',
	'CIVILIZATION_IROQUOIS',
	'CIVILIZATION_JAPAN',
	'CIVILIZATION_OTTOMAN',
	'CIVILIZATION_PERSIA',
	'CIVILIZATION_ROME',
	'CIVILIZATION_RUSSIA',
	'CIVILIZATION_SIAM',
	'CIVILIZATION_SONGHAI',
	'CIVILIZATION_MONGOL',
	'CIVILIZATION_INCA',
	'CIVILIZATION_SPAIN',
	'CIVILIZATION_POLYNESIA',
	'CIVILIZATION_DENMARK',
	'CIVILIZATION_KOREA',
	'CIVILIZATION_BABYLON',
	'CIVILIZATION_AUSTRIA',
	'CIVILIZATION_BYZANTIUM',
	'CIVILIZATION_CARTHAGE',
	'CIVILIZATION_CELTS',
	'CIVILIZATION_ETHIOPIA',
	'CIVILIZATION_HUNS',
	'CIVILIZATION_MAYA',
	'CIVILIZATION_NETHERLANDS',
	'CIVILIZATION_SWEDEN',
	'CIVILIZATION_ASSYRIA',
	'CIVILIZATION_BRAZIL',
	'CIVILIZATION_INDONESIA',
	'CIVILIZATION_MOROCCO',
	'CIVILIZATION_POLAND',
	'CIVILIZATION_PORTUGAL',
	'CIVILIZATION_SHOSHONE',
	'CIVILIZATION_VENICE',
	'CIVILIZATION_ZULU');

INSERT INTO Civilization_BuildingClassOverrides (CivilizationType, BuildingClassType, BuildingType)
SELECT CIVILIZATIONS.Type, 'BUILDINGCLASS_PALACE', 'BUILDING_MINOR_PALACE'
FROM CIVILIZATIONS WHERE CIVILIZATIONS.Type IN (
	'CIVILIZATION_MINOR');

/*
INSERT INTO Civilization_UnitClassOverrides (CivilizationType, UnitClassType, UnitType)
SELECT CIVILIZATIONS.Type, 'UNITCLASS_ATLATIST', 'UNIT_MAYAN_ATLATLIST'
FROM CIVILIZATIONS WHERE CIVILIZATIONS.Type IN (
	'CIVILIZATION_AMERICA',
	'CIVILIZATION_ARABIA',
	'CIVILIZATION_AZTEC',
	'CIVILIZATION_CHINA',
	'CIVILIZATION_EGYPT',
	'CIVILIZATION_ENGLAND',
	'CIVILIZATION_FRANCE',
	'CIVILIZATION_GERMANY',
	'CIVILIZATION_GREECE',
	'CIVILIZATION_INDIA',
	'CIVILIZATION_IROQUOIS',
	'CIVILIZATION_JAPAN',
	'CIVILIZATION_OTTOMAN',
	'CIVILIZATION_PERSIA',
	'CIVILIZATION_ROME',
	'CIVILIZATION_RUSSIA',
	'CIVILIZATION_SIAM',
	'CIVILIZATION_SONGHAI',
	'CIVILIZATION_MONGOL',
	'CIVILIZATION_INCA',
	'CIVILIZATION_SPAIN',
	'CIVILIZATION_POLYNESIA',
	'CIVILIZATION_DENMARK',
	'CIVILIZATION_KOREA',
	'CIVILIZATION_BABYLON',
	'CIVILIZATION_AUSTRIA',
	'CIVILIZATION_BYZANTIUM',
	'CIVILIZATION_CARTHAGE',
	'CIVILIZATION_CELTS',
	'CIVILIZATION_ETHIOPIA',
	'CIVILIZATION_HUNS',
	'CIVILIZATION_MAYA',
	'CIVILIZATION_NETHERLANDS',
	'CIVILIZATION_SWEDEN',
	'CIVILIZATION_ASSYRIA',
	'CIVILIZATION_BRAZIL',
	'CIVILIZATION_INDONESIA',
	'CIVILIZATION_MOROCCO',
	'CIVILIZATION_POLAND',
	'CIVILIZATION_PORTUGAL',
	'CIVILIZATION_SHOSHONE',
	'CIVILIZATION_VENICE',
	'CIVILIZATION_ZULU');

INSERT INTO Civilization_UnitClassOverrides (CivilizationType, UnitClassType, UnitType)
SELECT CIVILIZATIONS.Type, 'UNITCLASS_SLINGER', 'UNIT_INCAN_SLINGER'
FROM CIVILIZATIONS WHERE CIVILIZATIONS.Type IN (
	'CIVILIZATION_AMERICA',
	'CIVILIZATION_ARABIA',
	'CIVILIZATION_AZTEC',
	'CIVILIZATION_CHINA',
	'CIVILIZATION_EGYPT',
	'CIVILIZATION_ENGLAND',
	'CIVILIZATION_FRANCE',
	'CIVILIZATION_GERMANY',
	'CIVILIZATION_GREECE',
	'CIVILIZATION_INDIA',
	'CIVILIZATION_IROQUOIS',
	'CIVILIZATION_JAPAN',
	'CIVILIZATION_OTTOMAN',
	'CIVILIZATION_PERSIA',
	'CIVILIZATION_ROME',
	'CIVILIZATION_RUSSIA',
	'CIVILIZATION_SIAM',
	'CIVILIZATION_SONGHAI',
	'CIVILIZATION_MONGOL',
	'CIVILIZATION_INCA',
	'CIVILIZATION_SPAIN',
	'CIVILIZATION_POLYNESIA',
	'CIVILIZATION_DENMARK',
	'CIVILIZATION_KOREA',
	'CIVILIZATION_BABYLON',
	'CIVILIZATION_AUSTRIA',
	'CIVILIZATION_BYZANTIUM',
	'CIVILIZATION_CARTHAGE',
	'CIVILIZATION_CELTS',
	'CIVILIZATION_ETHIOPIA',
	'CIVILIZATION_HUNS',
	'CIVILIZATION_MAYA',
	'CIVILIZATION_NETHERLANDS',
	'CIVILIZATION_SWEDEN',
	'CIVILIZATION_ASSYRIA',
	'CIVILIZATION_BRAZIL',
	'CIVILIZATION_INDONESIA',
	'CIVILIZATION_MOROCCO',
	'CIVILIZATION_POLAND',
	'CIVILIZATION_PORTUGAL',
	'CIVILIZATION_SHOSHONE',
	'CIVILIZATION_VENICE',
	'CIVILIZATION_ZULU');

INSERT INTO Civilization_UnitClassOverrides (CivilizationType, UnitClassType, UnitType)
SELECT CIVILIZATIONS.Type, 'UNITCLASS_ATLATIST', 'UNIT_MAYAN_ATLATLIST'
FROM CIVILIZATIONS WHERE CIVILIZATIONS.Type IN (
	'CIVILIZATION_AMERICA',
	'CIVILIZATION_ARABIA',
	'CIVILIZATION_AZTEC',
	'CIVILIZATION_CHINA',
	'CIVILIZATION_EGYPT',
	'CIVILIZATION_ENGLAND',
	'CIVILIZATION_FRANCE',
	'CIVILIZATION_GERMANY',
	'CIVILIZATION_GREECE',
	'CIVILIZATION_INDIA',
	'CIVILIZATION_IROQUOIS',
	'CIVILIZATION_JAPAN',
	'CIVILIZATION_OTTOMAN',
	'CIVILIZATION_PERSIA',
	'CIVILIZATION_ROME',
	'CIVILIZATION_RUSSIA',
	'CIVILIZATION_SIAM',
	'CIVILIZATION_SONGHAI',
	'CIVILIZATION_MONGOL',
	'CIVILIZATION_INCA',
	'CIVILIZATION_SPAIN',
	'CIVILIZATION_POLYNESIA',
	'CIVILIZATION_DENMARK',
	'CIVILIZATION_KOREA',
	'CIVILIZATION_BABYLON',
	'CIVILIZATION_AUSTRIA',
	'CIVILIZATION_BYZANTIUM',
	'CIVILIZATION_CARTHAGE',
	'CIVILIZATION_CELTS',
	'CIVILIZATION_ETHIOPIA',
	'CIVILIZATION_HUNS',
	'CIVILIZATION_MAYA',
	'CIVILIZATION_NETHERLANDS',
	'CIVILIZATION_SWEDEN',
	'CIVILIZATION_ASSYRIA',
	'CIVILIZATION_BRAZIL',
	'CIVILIZATION_INDONESIA',
	'CIVILIZATION_MOROCCO',
	'CIVILIZATION_POLAND',
	'CIVILIZATION_PORTUGAL',
	'CIVILIZATION_SHOSHONE',
	'CIVILIZATION_VENICE',
	'CIVILIZATION_ZULU');
	*/
