INSERT INTO Policy_Flavors (PolicyType, FlavorType, Flavor)
SELECT Policies.Type, Flavors.Type, 10
FROM Policies, Flavors WHERE Policies.Type IN (
	'POLICY_MILITARY',
	'POLICY_PROFESSIONAL_ARMY',
	'POLICY_MILITARY_ACADEMIES',
	'POLICY_WARRIOR_CODE',
	'POLICY_FEARSOME_REPUTAION',
	'POLICY_MILITARY_TRADITION',
	'POLICY_MILITARY_FINISHER') and Flavors.Type in (
	'FLAVOR_DEFENSE',
	'FLAVOR_CITY_DEFENSE',
	'FLAVOR_MILITARY_TRAINING',
	'FLAVOR_OFFENSE',
	'FLAVOR_RANGED');

INSERT INTO Policy_Flavors (PolicyType, FlavorType, Flavor)
SELECT Policies.Type, Flavors.Type, 30
FROM Policies, Flavors WHERE Policies.Type IN (
	'POLICY_INTERVENTIONIST',
	'POLICY_UNITED_FRONT',
	'POLICY_LOBBYISTS',
	'POLICY_RAW_TRADE_MATERIALS',
	'POLICY_FRIENDLY_PUPPET',
	'POLICY_OLD_FRIENDS',
	'POLICY_INTERVENTIONIST_FINISHER') and Flavors.Type in (
	'FLAVOR_DIPLOMACY');

INSERT INTO Policy_Flavors (PolicyType, FlavorType, Flavor)
SELECT Policies.Type, Flavors.Type, 10
FROM Policies, Flavors WHERE Policies.Type IN (
	'POLICY_ISOLATIONIST',
	'POLICY_MILITIAS',
	'POLICY_INWARD_INVESTMENT',
	'POLICY_XENOPHOBIA',
	'POLICY_BRING_HOME_THE_TROOPS',
	'POLICY_PRIVATE_RESEARCH',
	'POLICY_ISOLATIONIST_FINISHER') and Flavors.Type in (
	'FLAVOR_EXPANSION',
	'FLAVOR_INFRASTRUCTURE',
	'FLAVOR_CITY_DEFENSE',
	'FLAVOR_GROWTH');

INSERT INTO Policy_Flavors (PolicyType, FlavorType, Flavor)
SELECT Policies.Type, Flavors.Type, 10
FROM Policies, Flavors WHERE Policies.Type IN (
	'POLICY_FREE_TRADE',
	'POLICY_IDEAS_EXCHANGE',
	'POLICY_TRADE_AGREEMENT',
	'POLICY_INFLUENTIAL_TRADE',
	'POLICY_CULTURAL_TRADE',
	'POLICY_DIPLOMATIC_TRADE',
	'POLICY_FREE_TRADE_FINISHER') and Flavors.Type in (
	'FLAVOR_HAPPINESS',
	'FLAVOR_SCIENCE',
	'FLAVOR_GOLD',
	'FLAVOR_CULTURE');

INSERT INTO Policy_Flavors (PolicyType, FlavorType, Flavor)
SELECT Policies.Type, Flavors.Type, 10
FROM Policies, Flavors WHERE Policies.Type IN (
	'POLICY_PROTECTIONIST',
	'POLICY_FOOD_IMPORT_TARIFFS',
	'POLICY_INTERNAL_TRADE',
	'POLICY_TRADE_SECRETS',
	'POLICY_MANUFACTURED_GOODS_IMPORT_TARIFFS',
	'POLICY_FISH_IMPORT_TARIFFS',
	'POLICY_PROTECTIONIST_FINISHER') and Flavors.Type in (
	'FLAVOR_INFRASTRUCTURE',
	'FLAVOR_EXPANSION',
	'FLAVOR_GROWTH',
	'FLAVOR_PRODUCTION');

INSERT INTO Policy_Flavors (PolicyType, FlavorType, Flavor)
SELECT Policies.Type, Flavors.Type, 10
FROM Policies, Flavors WHERE Policies.Type IN (
	'POLICY_RELIGIOUS_FREEDOM',
	'POLICY_RELIGIOUS_COLONIES',
	'POLICY_RELIGIOUS_TOLERANCE',
	'POLICY_SPREAD_THE_WORD',
	'POLICY_FREEDOM_TO_TRADE',
	'POLICY_FREEDOM_OF_RELIGION',
	'POLICY_RELIGIOUS_FREEDOM_FINISHER') and Flavors.Type in (
	'FLAVOR_GROWTH',
	'FLAVOR_HAPPINESS',
	'FLAVOR_EXPANSION');

INSERT INTO Policy_Flavors (PolicyType, FlavorType, Flavor)
SELECT Policies.Type, Flavors.Type, 30
FROM Policies, Flavors WHERE Policies.Type IN (
	'POLICY_STATE_RELIGION',
	'POLICY_PILGRIMAGE',
	'POLICY_MANDATORY_WORSHIP',
	'POLICY_RELIGIOUS_EXPORTS',
	'POLICY_TITHE',
	'POLICY_REFORMATION',
	'POLICY_STATE_RELIGION_FINISHER') and Flavors.Type in (
	'FLAVOR_RELIGION');

INSERT INTO Policy_Flavors (PolicyType, FlavorType, Flavor)
SELECT Policies.Type, Flavors.Type, 10
FROM Policies, Flavors WHERE Policies.Type IN (
	'POLICY_FREEDOM_OF_INFORMATION',
	'POLICY_SOCIAL_MOVEMENT',
	'POLICY_JOINT_FUNDING',
	'POLICY_CULTURE_OF_RESEARCH',
	'POLICY_CELEBRATE_GENIUS',
	'POLICY_CULTURE_EXPORT',
	'POLICY_FREEDOM_OF_INFORMATION_FINISHER') and Flavors.Type in (
	'FLAVOR_SPACESHIP',
	'FLAVOR_GREAT_PEOPLE',
	'FLAVOR_CULTURE',
	'FLAVOR_SCIENCE',
	'FLAVOR_HAPPINESS');

INSERT INTO Policy_Flavors (PolicyType, FlavorType, Flavor)
SELECT Policies.Type, Flavors.Type, 15
FROM Policies, Flavors WHERE Policies.Type IN (
	'POLICY_CENSORSHIP',
	'POLICY_BOOK_BANNING',
	'POLICY_GOVERNMENT_MEDIA',
	'POLICY_GOVERNMENT_RESEARCH',
	'POLICY_COVERUP',
	'POLICY_GREAT_FIREWALL',
	'POLICY_CENSORSHIP_FINISHER') and Flavors.Type in (
	'FLAVOR_ESPIONAGE',
	'FLAVOR_HAPPINESS');

INSERT INTO Policy_Flavors (PolicyType, FlavorType, Flavor)
SELECT Policies.Type, Flavors.Type, 10
FROM Policies, Flavors WHERE Policies.Type IN (
	'POLICY_PRIVATIZED_RESEARCH',
	'POLICY_PRIVATIZED_EDUCATION',
	'POLICY_DEREGULATE_RESEARCH',
	'POLICY_FREE_THOUGHT_L',
	'POLICY_PUBLIC_RESEARCH',
	'POLICY_SPACE_PROCUREMENTS_L',
	'POLICY_FREE_THOUGHT_W',
	'POLICY_ACADEMY_SCIENCES',
	'POLICY_RESEARCH_GRANTS',
	'POLICY_SPACE_PROCUREMENTS_W',
	'POLICY_GOVERNMENT_CONTROLLED_RESEARCH',
	'POLICY_SPACESHIP_MANUFACTORING') and Flavors.Type in (
	'FLAVOR_SPACESHIP',
	'FLAVOR_SCIENCE');

INSERT INTO Policy_Flavors (PolicyType, FlavorType, Flavor)
SELECT Policies.Type, Flavors.Type, 10
FROM Policies, Flavors WHERE Policies.Type IN (
	'POLICY_PRIVATIZED_HEALTHCARE',
	'POLICY_UNIVERSAL_HEALTHCARE_W',
	'POLICY_MEDICAL_RESEARCH_FUNDING',
	'POLICY_FARM_SUBSIDIES_W',
	'POLICY_UNIVERSAL_HEALTHCARE_S',
	'POLICY_FARM_SUBSIDIES_S',
	'POLICY_MANDATORY_FARMING') and Flavors.Type in (
	'FLAVOR_GROWTH');

INSERT INTO Policy_Flavors (PolicyType, FlavorType, Flavor)
SELECT Policies.Type, Flavors.Type, 10
FROM Policies, Flavors WHERE Policies.Type IN (
	'POLICY_PRIVATIZED_MILITARY') and Flavors.Type in (
	'FLAVOR_DEFENSE',
	'FLAVOR_CITY_DEFENSE');

INSERT INTO Policy_Flavors (PolicyType, FlavorType, Flavor)
SELECT Policies.Type, Flavors.Type, 10
FROM Policies, Flavors WHERE Policies.Type IN (
	'POLICY_MILITARY_CONTRACTORS',
	'POLICY_DEFENSE_CONTRACTORS',
	'POLICY_STUDENT_MILITARY_DRILLS',
	'POLICY_MILITARY_MANUFACTORING') and Flavors.Type in (
	'FLAVOR_DEFENSE',
	'FLAVOR_CITY_DEFENSE',
	'FLAVOR_MILITARY_TRAINING',
	'FLAVOR_OFFENSE',
	'FLAVOR_RANGED');

INSERT INTO Policy_Flavors (PolicyType, FlavorType, Flavor)
SELECT Policies.Type, Flavors.Type, 10
FROM Policies, Flavors WHERE Policies.Type IN (
	'POLICY_ENTREPRENEURSHIP_L',
	'POLICY_PRIVATIZED_TRANSPORTATION_NETWORK',
	'POLICY_ENTREPRENEURSHIP_W',
	'POLICY_CONSUMERISM',
	'POLICY_FOREIGN_CLOUD_COMPUTING_BAN',
	'POLICY_SHARED_IDEOLOGY_TOURISM_L',
	'POLICY_SHARED_IDEOLOGY_TOURISM_W',
	'POLICY_SHARED_IDEOLOGY_TOURISM_S') and Flavors.Type in (
	'FLAVOR_GOLD');

INSERT INTO Policy_Flavors (PolicyType, FlavorType, Flavor)
SELECT Policies.Type, Flavors.Type, 10
FROM Policies, Flavors WHERE Policies.Type IN (
	'POLICY_FREE_EXPRESSION_L',
	'POLICY_DEREGULATE_MEDIA',
	'POLICY_PUBLIC_MEDIA',
	'POLICY_MEDIA_CULTURE_L',
	'POLICY_FREE_EXPRESSION_W',
	'POLICY_MEDIA_CULTURE_W',
	'POLICY_PROPAGANDA') and Flavors.Type in (
	'FLAVOR_CULTURE');

INSERT INTO Policy_Flavors (PolicyType, FlavorType, Flavor)
SELECT Policies.Type, Flavors.Type, 10
FROM Policies, Flavors WHERE Policies.Type IN (
	'POLICY_DEREGULATION') and Flavors.Type in (
	'FLAVOR_INFRASTRUCTURE',
	'FLAVOR_TILE_IMPROVEMENT');

INSERT INTO Policy_Flavors (PolicyType, FlavorType, Flavor)
SELECT Policies.Type, Flavors.Type, 10
FROM Policies, Flavors WHERE Policies.Type IN (
	'POLICY_SUBSIDIZED_ORCHESTRA',
	'POLICY_SUBSIDIZED_THEATRE') and Flavors.Type in (
	'FLAVOR_HAPPINESS',
	'FLAVOR_CULTURE');

INSERT INTO Policy_Flavors (PolicyType, FlavorType, Flavor)
SELECT Policies.Type, Flavors.Type, 10
FROM Policies, Flavors WHERE Policies.Type IN (
	'POLICY_GOVERNMENT_FACTORIES',
	'POLICY_GOVERNMENT_MINING',
	'POLICY_GOVERNMENT_MANUFACTORING',
	'POLICY_EXPORT_MANUFACTORING',
	'POLICY_REDISTRIBUTION') and Flavors.Type in (
	'FLAVOR_INFRASTRUCTURE',
	'FLAVOR_PRODUCTION');

INSERT INTO Policy_Flavors (PolicyType, FlavorType, Flavor)
SELECT Policies.Type, Flavors.Type, 10
FROM Policies, Flavors WHERE Policies.Type IN (
	'POLICY_SECURE_RESEARCH_FACILITIES') and Flavors.Type in (
	'FLAVOR_SCIENCE',
	'FLAVOR_ESPIONAGE');