DELETE FROM Technology_Flavors WHERE TechType = 'TECH_CHIVALRY';
DELETE FROM Technology_Flavors WHERE TechType = 'TECH_PHYSICS';
DELETE FROM Technology_Flavors WHERE TechType = 'TECH_MILITARY_SCIENCE';
DELETE FROM Technology_Flavors WHERE TechType = 'TECH_COMBINED_ARMS';
DELETE FROM Technology_Flavors WHERE TechType = 'TECH_MOBILE_TACTICS';
DELETE FROM Technology_Flavors WHERE TechType = 'TECH_NANOTECHNOLOGY';
DELETE FROM Technology_Flavors WHERE TechType = 'TECH_FUTURE_TECH';


INSERT INTO Technology_Flavors (TechType, FlavorType, Flavor)
	SELECT Type, 'FLAVOR_GROWTH', 10 FROM Technologies WHERE TechCategory = 'TECH_CAT_FARMING' UNION ALL
	SELECT Type, 'FLAVOR_EXPANSION', 4 FROM Technologies WHERE TechCategory = 'TECH_CAT_FARMING' UNION ALL
	SELECT Type, 'FLAVOR_RELIGION', 10 FROM Technologies WHERE TechCategory = 'TECH_CAT_RELIGION' UNION ALL
	SELECT Type, 'FLAVOR_GOLD', 10 FROM Technologies WHERE TechCategory = 'TECH_CAT_ENGINEERING' UNION ALL
	SELECT Type, 'FLAVOR_GOLD', 10 FROM Technologies WHERE TechCategory = 'TECH_CAT_MONEY' UNION ALL
	SELECT Type, 'FLAVOR_TILE_IMPROVEMENT', 6 FROM Technologies WHERE TechCategory = 'TECH_CAT_ENGINEERING' UNION ALL
	SELECT Type, 'FLAVOR_NAVAL', 10 FROM Technologies WHERE TechCategory = 'TECH_CAT_NAVAL' UNION ALL
	SELECT Type, 'FLAVOR_SCIENCE', 10 FROM Technologies WHERE TechCategory = 'TECH_CAT_SCIENCE' UNION ALL
	SELECT Type, 'FLAVOR_SCIENCE', 10 FROM Technologies WHERE TechCategory = 'TECH_CAT_MATH' UNION ALL
	SELECT Type, 'FLAVOR_SCIENCE', 10 FROM Technologies WHERE TechCategory = 'TECH_CAT_CRYPTOLOGY' UNION ALL
	SELECT Type, 'FLAVOR_CULTURE', 10 FROM Technologies WHERE TechCategory = 'TECH_CAT_CULTURE' UNION ALL
	SELECT Type, 'FLAVOR_EXPANSION', 4 FROM Technologies WHERE TechCategory = 'TECH_CAT_CULTURE' UNION ALL
	SELECT Type, 'FLAVOR_OFFENSE', 10 FROM Technologies WHERE TechCategory = 'TECH_CAT_MILITARY' UNION ALL
	SELECT Type, 'FLAVOR_DEFENSE', 10 FROM Technologies WHERE TechCategory = 'TECH_CAT_MILITARY' UNION ALL
	SELECT Type, 'FLAVOR_MILITARY_TRAINING', 10 FROM Technologies WHERE TechCategory = 'TECH_CAT_MILITARY' UNION ALL
	SELECT Type, 'FLAVOR_MOBILE', 10 FROM Technologies WHERE TechCategory = 'TECH_CAT_MILITARY' UNION ALL
	SELECT Type, 'FLAVOR_DIPLOMACY', 10 FROM Technologies WHERE TechCategory = 'TECH_CAT_COMMUNICATIONS' UNION ALL
	SELECT Type, 'FLAVOR_CULTURE', 10 FROM Technologies WHERE TechCategory = 'TECH_CAT_COMMUNICATIONS';
