-- Insert SQL Rules Here 
/*
INSERT INTO Improvement_TechYieldChanges (ImprovementType, TechType, YieldType, Yield)
SELECT IMPROVEMENTS.Type, TECHNOLOGIES.Type, 'YIELD_FOOD', 1
FROM IMPROVEMENTS, TECHNOLOGIES WHERE IMPROVEMENTS.Type IN (
	'IMPROVEMENT_FARM',
	'IMPROVEMENT_PASTURE',
	'IMPROVEMENT_FISHING_BOATS',
	'IMPROVEMENT_TERRACE_FARM',
	'IMPROVEMENT_POLDER',
	'IMPROVEMENT_PORT') and TECHNOLOGIES.type IN(
	'TECH_POTTERY',
	'TECH_REFRIGERATION',
	'TECH_MODERN_MEDICINE',
	'TECH_ECOLOGY',
	'TECH_ROBOTICS',
	'TECH_NANOMEDICINE',
	'TECH_PLANET_TERRAFORMING',
	'TECH_FUTURE_CLIMATE_CONTROL');

INSERT INTO Improvement_TechYieldChanges (ImprovementType, TechType, YieldType, Yield)
SELECT IMPROVEMENTS.Type, TECHNOLOGIES.Type, 'YIELD_FOOD', 1
FROM IMPROVEMENTS, TECHNOLOGIES WHERE IMPROVEMENTS.Type IN (
	'IMPROVEMENT_FARM',
	'IMPROVEMENT_PASTURE',
	'IMPROVEMENT_TERRACE_FARM',
	'IMPROVEMENT_POLDER') and TECHNOLOGIES.type IN(
	'TECH_IRRIGATION',
	'TECH_CALENDAR',
	'TECH_FARM_TOOLS',
	'TECH_CROP_ROTATION',
	'TECH_FARM_MACHINERY',
	'TECH_FERTILIZER',
	'TECH_MECHANIZED_AGRICULTURE',
	'TECH_GENETIC_MODIFICATION',
	'TECH_BIOLOGY',
	'TECH_ORGANIC_CHEMISTRY',
	'TECH_GENETICS');

INSERT INTO Improvement_TechYieldChanges (ImprovementType, TechType, YieldType, Yield)
SELECT IMPROVEMENTS.Type, TECHNOLOGIES.Type, 'YIELD_FOOD', 1
FROM IMPROVEMENTS, TECHNOLOGIES WHERE IMPROVEMENTS.Type IN (
	'IMPROVEMENT_CAMP') and TECHNOLOGIES.type IN(
	'TECH_SELECTIVE_BREEDING',
	'TECH_PENICILIN',
	'TECH_POTTERY',
	'TECH_REFRIGERATION',
	'TECH_MODERN_MEDICINE',
	'TECH_ECOLOGY',
	'TECH_NANOMEDICINE',
	'TECH_GENETIC_MODIFICATION',
	'TECH_BIOLOGY',
	'TECH_ORGANIC_CHEMISTRY',
	'TECH_GENETICS',
	'TECH_PLANET_TERRAFORMING',
	'TECH_FUTURE_CLIMATE_CONTROL');

INSERT INTO Improvement_TechYieldChanges (ImprovementType, TechType, YieldType, Yield)
SELECT IMPROVEMENTS.Type, TECHNOLOGIES.Type, 'YIELD_FOOD', 1
FROM IMPROVEMENTS, TECHNOLOGIES WHERE IMPROVEMENTS.Type IN (
	'IMPROVEMENT_PASTURE') and TECHNOLOGIES.type IN(
	'TECH_SELECTIVE_BREEDING',
	'TECH_PENICILIN');

INSERT INTO Improvement_TechYieldChanges (ImprovementType, TechType, YieldType, Yield)
SELECT IMPROVEMENTS.Type, TECHNOLOGIES.Type, 'YIELD_GOLD', 1
FROM IMPROVEMENTS, TECHNOLOGIES WHERE IMPROVEMENTS.Type IN (
	'IMPROVEMENT_CAMP') and TECHNOLOGIES.type IN(
	'TECH_SELECTIVE_BREEDING',
	'TECH_PENICILIN',
	'TECH_POTTERY',
	'TECH_REFRIGERATION',
	'TECH_MODERN_MEDICINE',
	'TECH_ECOLOGY',
	'TECH_NANOMEDICINE',
	'TECH_GENETIC_MODIFICATION',
	'TECH_BIOLOGY',
	'TECH_ORGANIC_CHEMISTRY',
	'TECH_GENETICS',
	'TECH_PLANET_TERRAFORMING',
	'TECH_FUTURE_CLIMATE_CONTROL');

INSERT INTO Improvement_TechYieldChanges (ImprovementType, TechType, YieldType, Yield)
SELECT IMPROVEMENTS.Type, TECHNOLOGIES.Type, 'YIELD_CULTURE', 2
FROM IMPROVEMENTS, TECHNOLOGIES WHERE IMPROVEMENTS.Type IN (
	--'IMPROVEMENT_AMPHITHEATER',
	'IMPROVEMENT_MOAI') and TECHNOLOGIES.type IN(
	'TECH_STORYTELLING',
	'TECH_PICTOGRAPHY',
	'TECH_DRAMA',
	'TECH_ARCHITECTURE',
	'TECH_ACOUSTICS');

INSERT INTO Improvement_TechYieldChanges (ImprovementType, TechType, YieldType, Yield)
SELECT IMPROVEMENTS.Type, TECHNOLOGIES.Type, 'YIELD_PRODUCTION', 1
FROM IMPROVEMENTS, TECHNOLOGIES WHERE IMPROVEMENTS.Type IN (
	'IMPROVEMENT_TOWN',
	'IMPROVEMENT_KASBAH',
	'IMPROVEMENT_CHATEAU') and TECHNOLOGIES.type IN(
	'TECH_STORYTELLING',
	'TECH_PICTOGRAPHY',
	'TECH_WRITING',
	'TECH_PHILOSOPHY',
	'TECH_PRINTING_PRESS',
	'TECH_RADIO',
	'TECH_TELEPHONE',
	'TECH_TELEVISION',
	'TECH_COMPUTERS',
	'TECH_INTERNET',
	'TECH_EMAIL',
	'TECH_TELECOM',
	'TECH_FIBER_OPTICS',
	'TECH_SATELLITES',
	'TECH_WEB_20',
	'TECH_FUTURE_COMMUNICATIONS');

INSERT INTO Improvement_TechYieldChanges (ImprovementType, TechType, YieldType, Yield)
--SELECT IMPROVEMENTS.Type, TECHNOLOGIES.Type, 'YIELD_PRODUCTION', 1
SELECT IMPROVEMENTS.Type, TECHNOLOGIES.Type, 'YIELD_GOLD', 1
FROM IMPROVEMENTS, TECHNOLOGIES WHERE IMPROVEMENTS.Type IN (
	'IMPROVEMENT_MINE',
	'IMPROVEMENT_PORT') and TECHNOLOGIES.type IN(
	'TECH_THE_WHEEL',
	'TECH_RAMP',
	'TECH_LEVER',
	'TECH_PULLEY',
	'TECH_SPRING',
	'TECH_CONSTRUCTION',
	'TECH_MACHINERY');

INSERT INTO Improvement_TechYieldChanges (ImprovementType, TechType, YieldType, Yield)
--SELECT IMPROVEMENTS.Type, TECHNOLOGIES.Type, 'YIELD_PRODUCTION', 4
SELECT IMPROVEMENTS.Type, TECHNOLOGIES.Type, 'YIELD_GOLD', 4
FROM IMPROVEMENTS, TECHNOLOGIES WHERE IMPROVEMENTS.Type IN (
	'IMPROVEMENT_MINE') and TECHNOLOGIES.type IN(
	'TECH_DYNAMITE');
	

INSERT INTO Improvement_TechYieldChanges (ImprovementType, TechType, YieldType, Yield)
--SELECT IMPROVEMENTS.Type, TECHNOLOGIES.Type, 'YIELD_PRODUCTION', 1
SELECT IMPROVEMENTS.Type, TECHNOLOGIES.Type, 'YIELD_GOLD', 1
FROM IMPROVEMENTS, TECHNOLOGIES WHERE IMPROVEMENTS.Type IN (
	'IMPROVEMENT_MINE',
	'IMPROVEMENT_LUMBERMILL',
	'IMPROVEMENT_PORT') and TECHNOLOGIES.type IN(
	'TECH_STEAM_POWER',
	'TECH_REPLACEABLE_PARTS',
	'TECH_ELECTRICITY');

INSERT INTO Improvement_TechYieldChanges (ImprovementType, TechType, YieldType, Yield)
SELECT IMPROVEMENTS.Type, TECHNOLOGIES.Type, 'YIELD_GOLD', 3
FROM IMPROVEMENTS, TECHNOLOGIES WHERE IMPROVEMENTS.Type IN (
	'IMPROVEMENT_MINE',
	'IMPROVEMENT_LUMBERMILL',
	'IMPROVEMENT_PORT') and TECHNOLOGIES.type IN(
	'TECH_INDUSTRIALIZATION');

INSERT INTO Improvement_TechYieldChanges (ImprovementType, TechType, YieldType, Yield)
--SELECT IMPROVEMENTS.Type, TECHNOLOGIES.Type, 'YIELD_PRODUCTION', 1
SELECT IMPROVEMENTS.Type, TECHNOLOGIES.Type, 'YIELD_GOLD', 1
FROM IMPROVEMENTS, TECHNOLOGIES WHERE IMPROVEMENTS.Type IN (
	'IMPROVEMENT_MINE',
	'IMPROVEMENT_LUMBERMILL',
	'IMPROVEMENT_WELL',
	'IMPROVEMENT_OFFSHORE_PLATFORM',
	--'IMPROVEMENT_MANUFACTORY',
	'IMPROVEMENT_PORT') and TECHNOLOGIES.type IN(
	'TECH_PLASTIC',
	'TECH_MATERIALS_SCIENCE',
	'TECH_ROBOTICS',
	'TECH_LASERS',
	'TECH_NUCLEAR_FUSION',
	'TECH_NANOROBOTS',
	'TECH_ASTEROID_MINING',
	'TECH_FUTURE_AUTOMATION',
	'TECH_FUTURE_IMPLANTS',
	'TECH_FUTURE_TRADING');
	*/

	/*INSERT INTO Improvement_TechYieldChanges (ImprovementType, TechType, YieldType, Yield)
SELECT IMPROVEMENTS.Type, TECHNOLOGIES.Type, 'YIELD_GOLD', 1
FROM IMPROVEMENTS, TECHNOLOGIES WHERE IMPROVEMENTS.Type IN (
	'IMPROVEMENT_ACADEMY') and TECHNOLOGIES.type IN(
	'TECH_ALCHEMY'
	);*/

/*INSERT INTO Improvement_TechYieldChanges (ImprovementType, TechType, YieldType, Yield)
SELECT IMPROVEMENTS.Type, TECHNOLOGIES.Type, 'YIELD_SCIENCE', 1
FROM IMPROVEMENTS, TECHNOLOGIES WHERE IMPROVEMENTS.Type IN (
	'IMPROVEMENT_ACADEMY') and TECHNOLOGIES.type IN(
	-- current thought- science -> great scientist, education and scientific theory and microscope increase science per pop,
	-- math techs would increase academies
	'TECH_MATHEMATICS',-- two dashes means it's a branch of math (first to research great scientist?) philosophy
-- three dashes means it's a branch of science (first to research great scientist?)
	'TECH_ARITHMETIC',-- currency
	'TECH_GEOMETRY',-- engineering
--	'TECH_OPTICS',---
	'TECH_POLYNOMIALS',-- nothing
	'TECH_CALCULUS_INTEGRAL',-- physics mechanics
	'TECH_LINEAR_ALGEBRA',-- economics
--	'TECH_PHYSICS_MECHANICS',---
	'TECH_CALCULUS_DIFFERENTIAL',-- nothing
--	'TECH_CHEMISTRY',---
--	'TECH_ASTRONOMY',---
	'TECH_CALCULUS_MULTIVARIATE',-- physics thermodynamics
	'TECH_MICROSCOPE',
--	'TECH_PHYSICS_THERMODYNAMICS',---
--	'TECH_PHYSICS_MAGNETISM',---
--	'TECH_AERODYNAMICS',---
--	'TECH_PHYSICS_ELECTRICITY',---
--	'TECH_PHYSICS_WAVES',---
--	'TECH_ATOMIC_THEORY',---
	'TECH_DIGITAL_CIRCUIT'
--	'TECH_PHYSICS_QUANTUM'---

-- building science yield
--	'TECH_PHILOSOPHY',----
--	'TECH_EDUCATION',----
--	'TECH_SCIENTIFIC_THEORY',----
--	'TECH_PRINTING_PRESS',
-- money
--	'TECH_ALCHEMY',---
-- food
--	'TECH_BIOLOGY',---
--	'TECH_ORGANIC_CHEMISTRY',---
--	'TECH_GENETICS',---
	);*/

/*INSERT INTO Improvement_TechYieldChanges (ImprovementType, TechType, YieldType, Yield)
SELECT IMPROVEMENTS.Type, TECHNOLOGIES.Type, 'YIELD_FAITH', 2
FROM IMPROVEMENTS, TECHNOLOGIES WHERE IMPROVEMENTS.Type IN (
	'IMPROVEMENT_HOLY_SITE') and TECHNOLOGIES.type IN(
	'TECH_CEREMONIAL_BURIAL',
	'TECH_ASTROLOGY',
	'TECH_THEOLOGY',
	'TECH_PRINTING_PRESS',
	'TECH_RADIO',
	'TECH_ACOUSTICS',
	'TECH_TELEVISION',
	'TECH_INTERNET');*/

/*INSERT INTO Improvement_TechYieldChanges (ImprovementType, TechType, YieldType, Yield)
SELECT IMPROVEMENTS.Type, TECHNOLOGIES.Type, 'YIELD_SCIENCE', 1
FROM IMPROVEMENTS, TECHNOLOGIES WHERE IMPROVEMENTS.Type IN (
	'IMPROVEMENT_ACADEMY') and TECHNOLOGIES.type IN(
	'TECH_ADVANCED_ALGORITHMS',
	'TECH_XRAY',
	'TECH_PHYSICS_QUANTUM',
	'TECH_INTERNET',
	'TECH_TELECOM',
	'TECH_WEB_20',
	'TECH_OPTICAL_COMPUTING',
	'TECH_PARTICLE_PHYSICS',
	'TECH_BIOLOGICAL_COMPUTING',
	'TECH_PHYSICS_UNIFIED_THEORY',
	'TECH_PHYSICS_DARK_MATTER',
	'TECH_QUANTUM_COMPUTING',
	'TECH_FUTURE_PHYSICS');*/

--INSERT INTO Improvement_TechYieldChanges (ImprovementType, TechType, YieldType, Yield)
--SELECT IMPROVEMENTS.Type, TECHNOLOGIES.Type, 'YIELD_GOLD', 2
--FROM IMPROVEMENTS, TECHNOLOGIES WHERE IMPROVEMENTS.Type IN (
	--'IMPROVEMENT_DATA_CENTER') and TECHNOLOGIES.type IN(
	--'TECH_DATA_MINING');

--INSERT INTO Improvement_TechYieldChanges (ImprovementType, TechType, YieldType, Yield)
--SELECT IMPROVEMENTS.Type, TECHNOLOGIES.Type, 'YIELD_SCIENCE', 1
--FROM IMPROVEMENTS, TECHNOLOGIES WHERE IMPROVEMENTS.Type IN (
--	'IMPROVEMENT_DATA_CENTER') and TECHNOLOGIES.type IN(
--	'TECH_ADVANCED_ALGORITHMS',
--	'TECH_DATA_MINING',
--	'TECH_AI_EXPERT_SYSTEMS',
--	'TECH_FIBER_OPTICS',
--	'TECH_OPTICAL_COMPUTING',
--	'TECH_AI_LEARNING_SYSTEMS',
--	'TECH_BIOLOGICAL_COMPUTING',
--	'TECH_SUPERCONDUCTOR',
--	'TECH_QUANTUM_COMPUTING',
--	'TECH_AI_GENERAL',
--	'TECH_FUTURE_PHYSICS',
--	'TECH_FUTURE_AI');

--INSERT INTO Improvement_TechYieldChanges (ImprovementType, TechType, YieldType, Yield)
--SELECT IMPROVEMENTS.Type, TECHNOLOGIES.Type, 'YIELD_GOLD', 1
--FROM IMPROVEMENTS, TECHNOLOGIES WHERE IMPROVEMENTS.Type IN (
--	'IMPROVEMENT_CAMP',
--	'IMPROVEMENT_PORT',
--	'IMPROVEMENT_KASBAH') and TECHNOLOGIES.type IN(
--	'TECH_BARTER');

--INSERT INTO Improvement_TechYieldChanges (ImprovementType, TechType, YieldType, Yield)
--SELECT IMPROVEMENTS.Type, TECHNOLOGIES.Type, 'YIELD_GOLD', 1
--FROM IMPROVEMENTS, TECHNOLOGIES WHERE IMPROVEMENTS.Type IN (
--	'IMPROVEMENT_CAMP',
--	'IMPROVEMENT_PORT',
--	'IMPROVEMENT_BRAZILWOOD_CAMP',
	--'IMPROVEMENT_TRADING_POST',
	--'IMPROVEMENT_KASBAH') and TECHNOLOGIES.type IN(
	--'TECH_CURRENCY',
	--'TECH_LOANS',
	--'TECH_GUILDS',
	--'TECH_DEBT_TRADING',
	--'TECH_EQUITY_INVESTMENT',
	--'TECH_CORPORATION',
	--'TECH_BANKING',
--	'TECH_PRINTING_PRESS',
	--'TECH_STOCK_EXCHANGE',
	--'TECH_DIVIDENDS',
	--'TECH_ECONOMICS',
--	'TECH_RADIO',
--	'TECH_TELEVISION',
--	'TECH_COMPUTERS',
--	'TECH_INTERNET',
--	'TECH_TELECOM',
--	'TECH_WEB_20',
	--'TECH_ASTEROID_MINING');
	--'TECH_FUTURE_TRADING');

--INSERT INTO Improvement_TechYieldChanges (ImprovementType, TechType, YieldType, Yield)
--SELECT IMPROVEMENTS.Type, TECHNOLOGIES.Type, 'YIELD_GOLD', 4
--FROM IMPROVEMENTS, TECHNOLOGIES WHERE IMPROVEMENTS.Type IN (
	--'IMPROVEMENT_DATA_CENTER'
--	'IMPROVEMENT_TRADING_POST'
	--) and TECHNOLOGIES.type IN(
	--'TECH_CRYPTO_CURRENCY');
	
	

	-- defensive: IMPROVEMENT_FORT, IMPROVEMENT_FEITORIA, IMPROVEMENT_KASBAH, IMPROVEMENT_CHATEAU -->
		-- food: IMPROVEMENT_PASTURE, IMPROVEMENT_FARM, IMPROVEMENT_FISHING_BOATS-->
		-- culture: IMPROVEMENT_LANDMARK, IMPROVEMENT_CHATEAU -->
		-- commerce: IMPROVEMENT_BRAZILWOOD_CAMP, IMPROVEMENT_TRADING_POST, IMPROVEMENT_CAMP-->
		-- faith: IMPROVEMENT_HOLY_SITE-->
		-- science: IMPROVEMENT_ACADEMY -->
		-- productivity: IMPROVEMENT_MINE, IMPROVEMENT_QUARRY, IMPROVEMENT_LUMBERMILL, IMPROVEMENT_CAMP, IMPROVEMENT_WELL, IMPROVEMENT_OFFSHORE_PLATFORM -->